/* modify.c - giis backend modify function */
/* $OpenLDAP: pkg/ldap/servers/slapd/back-giis/modify.c,v 1.7.2.2 2000/06/13 17:57:37 kurt Exp $ */
/*
 * Copyright 1998-2000 The OpenLDAP Foundation, All Rights Reserved.
 * COPYING RESTRICTIONS APPLY, see COPYRIGHT file
 */

#include "portable.h"

#include <stdio.h>

#include <ac/string.h>
#include <ac/socket.h>

#include "slap.h"
#include "slapd_giis.h"

int
giis_back_modify(
    Backend	*be,
    Connection	*conn,
    Operation	*op,
    const char	*dn,
    const char	*ndn,
    Modifications	*ml
)
{

	send_ldap_result( conn, op, LDAP_UNWILLING_TO_PERFORM, NULL,
	    "modify not implemented", NULL, NULL );
	return( -1 );
}
