/* abandon.c - giis backend abandon function */
/* $OpenLDAP: pkg/ldap/servers/slapd/back-giis/abandon.c,v 1.7.8.2 2000/06/13 17:57:37 kurt Exp $ */
/*
 * Copyright 1998-2000 The OpenLDAP Foundation, All Rights Reserved.
 * COPYING RESTRICTIONS APPLY, see COPYRIGHT file
 */

#include "portable.h"

#include <stdio.h>

#include <ac/signal.h>
#include <ac/socket.h>
#include <ac/string.h>

#include "slap.h"
#include "slapd_giis.h"

int
giis_back_abandon(
    Backend	*be,
    Connection	*conn,
    Operation	*op,
    int		msgid
)
{
	send_ldap_result( conn, op, LDAP_UNWILLING_TO_PERFORM, NULL,
	    "abandon not implemented", NULL, NULL );
	return( -1 );
}
